Get image list

Prev Next

Available in Classic and VPC

Get the image list.

Note

Images are stored for up to one year and are automatically deleted thereafter.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /brandmessage/v2/services/{serviceId}/images

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required Biz Message service ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
pageIndex Integer Optional Page index
  • 0-N (default: 0)
pageSize Integer Optional Number of items per page
  • 1-200 (default: 20)

Request example

The request example is as follows:

curl --location --request GET 'https://sens.apigw.ntruss.com/brandmessage/v2/services/ncp:kkobizmsg:kr:27*********6:sens/images?pageIndex=0&pageSize=20' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
items Array Required Image list
pageIndex Integer Required Page index
pageSize Integer Required Number of items per page
itemCount Integer Required Number of response results
hasPrevious Boolean Required Whether previous page exists
  • true | false
    • true: It exists.
    • false: It doesn't exist.
hasNext Boolean Required Whether next page exists
  • true | false
    • true: It exists.
    • false: It doesn't exist.
totalCount Integer Required Total item count

items

The following describes items.

Field Type Required Description
imageId String Required Image ID
imageUrl String Required Image URL
imageType String Required Image file type
imageName String Required Image file name
createTime String Required Image uploading time

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

{
    "items": [
        {
            "imageId": "5b19970c-****-****-****-c8ec1cd8f37e",
            "imageUrl": "https://mud-kage.kakao.com/dn/dhkJRb/***********/**********************/img_l.jpg",
            "imageType": "BASIC",
            "imageName": "myImage.jpg",
            "createTime": "2025-11-27T17:29:06.253"
        }
    ],
    "pageIndex": 0,
    "pageSize": 20,
    "itemCount": 1,
    "hasPrevious": false,
    "hasNext": false,
    "totalCount": 1
}